=== debian/changelog ===
debian-policy (3.8.4.0) unstable; urgency=low

  [ Bill Allombert ]
  * Also provide documents in single-file HTML format.
    Proposed by Jari Aalto.
    Closes: #544353
  * Number the DFSG points like in the social_contract document.
    Proposed by Enrico Zini.
    Closes: #550192

  [ Manoj Srivastava ]
  * [b270d2d]: Typo fix: relayed -> related. Thanks to Matt Kraai for
    pointing this out.
  * [c74ac74]: 
    Policy: Grant an FHS exception for the multiarch library directories
    Wording: Steve Langasek.
    Seconded: Aurelien Jarno
    Seconded: Julien Cristau
    Seconded: Kurt Roeckx
    Closes: #542865
  * [7ac3ee6]: 
    virtual package list: Added Doom virtual packages
    Wording: Manoj Srivastava
    Seconded: Russ Allbery 
    Seconded: Giacomo A. Catenazzi
    Closes: #518199
  * [8fd91a0]
    README Process upgrading-checklist: Created/converted to org-mode
    Wording: Manoj Srivastava
    Seconded: Russ Allbery 
    Closes: #545548
  * [4da0692]: [typo-fixes]: 
    policy: Fix a number of grammatical or typographical errors
    wording: Eric Dantan Rzewnicki
    Seconded: Manoj Srivastava
  * [112c4bc]: FHS Exceptions
    policy: Explicitly allow /selinux and /sys as FHS exceptions
    Wording: Manoj Srivastava
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Kurt Roeckx  <kurt@roeckx.be>
    Closes: #556972
    This patch explicitly allows /sys and /selinux as additional
    directories in the root file system allowed under the policy.
  * [16afbcb]: Clarify ./debian/rules #! line
    policy: Clarify rule for debian/rules shebang line
    Wording: Ben Finney <ben+debian@benfinney.id.au>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Explicitly state that  "make -f debian/rules" and "./debian/rules"
    must behave  identically, to prevent confusion, and to promote
    reproducibility, and conform to the principle of least surprise.
  * [dab93b2]: Add a cron-daemon virtual package
    policy, virtual package list: New virtual package: cron-daemon
    wording: Javier Fernández-Sanguino Peña, Manoj Srivastava
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Kurt Roeckx  <kurt@roeckx.be>
    Closes: #391836
    Create a virtual cron daemon package that:
     - Has to provide /usr/bin/crontab and support crontab entries
     - Correct execution of /etc/cron.d
     - Correct support of /etc/crontab
     - Support of crontab entries with names for days and months,
       ranges, step values
     - Correct execution of /etc/cron.{hourly,daily,weekly,monthly}
    
  [ Russ Allbery ]
  * Policy: Clarify policy on named pipes in packages
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
  * Change the sole occurrence of MUST to must for consistency and to
    avoid confusion with IETF RFC keywords.  Thanks, Jakub Wilk.
    (Closes: #552757)

 -- Bill Allombert <ballombe@debian.org>  Wed, 27 Jan 2010 19:22:43 +0100
