## debian-policy 3.9.1.0

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 policy.sgml: version.ent
 menu-policy.sgml: version.ent
 mime-policy.sgml: version.ent
+perl-policy.sgml: version.ent
 
 ifneq (,$(strip $(HAVE_ORG_EMACS)))
 %.txt: %.org
@@ -56,8 +57,7 @@
 policy: html txt ps pdf
 
 leavealone :=	$(FHS_HTML) $(FHS_FILES) $(FHS_ARCHIVE) \
-		libc6-migration.txt \
-		upgrading-checklist.html virtual-package-names-list.txt
+		libc6-migration.txt
 	      
 .PHONY: distclean
 distclean:
