=== debian/changelog ===
debian-policy (3.9.1.0) unstable; urgency=low

  * Policy: Include GPL version 1 in common-licenses
    Wording: Russ Allbery <rra@debian.org>
    Seconded: gregor herrmann <gregoa@debian.org>
    Seconded: Damyan Ivanov <dmn@debian.org>
    Seconded: Giacomo A. Catenazzi <cate@debian.org>
    Closes: #436105
  * Policy: Libtool *.la files should generally not be installed
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Closes: #561413
  * Policy: Require dpkg-divert --package when adding/removing diversions
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Raphael Geissert <geissert@debian.org>
    Closes: #218897
  * Policy: Remove encouragement to create shlibs.local
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
  * Policy: Document alternate SONAME format with version before .so
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #509932
  * Policy: Architecture wildcards also allowed in binary relationships
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #400322
  * Policy: Say Conflicts should not be used unless necessary
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Closes: #402721
  * Policy: Remove obsolete _REENTRANT, require thread-safe libraries
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Giacomo A. Catenazzi <cate@debian.org>
    Closes: #475101
  * Policy: Allow subdirectories of /usr/lib/cgi-bin to be used
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Charles Plessy <plessy@debian.org>
    Closes: #104373
  * Policy: More specific requirements around date-based versions
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Closes: #186102
  * Policy: Require slave alternatives for manual pages
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Jakub Wilk <jwilk@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Closes: #184064
  * Policy: More explicit requirements around library SONAMEs
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu27@gmail.com>
    Closes: #509933
  * Policy: Only dpkg-gencontrol supports variable substitutions
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #589609
  * Policy: Ada Library Information files must be read-only
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Seconded: Ludovic Brenta <ludovic@ludovic-brenta.org>
    Closes: #232448
  * Policy: Recommend /etc/logrotate.d/package for logrotate rules
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Thijs Kinkhorst <thijs@debian.org>
    Closes: #445203
  * Policy: Allow /bin/sh scripts to rely on XSI for kill and trap
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Giacomo A. Catenazzi <cate@debian.org>
    Seconded: Raphael Geissert <geissert@debian.org>
    Closes: #477240
  * Policy: Ownership and permissions for control information files
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #555977
  * Set the version of the Perl Policy to match the version of the Policy
    package.
  * Explain the Perl module package naming policy more explicitly and
    provide some examples.  (Closes: #175202)
  * Revise the footnote discussing shlibs creation to not talk about the
    switch to objdump as if it were a new innovation and to explicitly
    mention the NEEDED attribute as the source of dependency information.
  * Introduce "control information file" to refer to the contents of the
    Debian package control.tar.gz, following the dpkg documentation.  Use
    that terminology consistently, and change possibly confusing
    references to fields in control files to use "control field"
    uniformly.
  * Document that the first line of the changelog entry is conventionally
    an explanation for the upload if the uploader is not the regular
    maintainer.  Patch from Charles Plessy.  (Closes: #589605)
  * Fix typo in upgrading-checklist.  (Closes: #588750)
  * Fix formatting error in footnote to 7.7.  (Closes: #589362)
  * Remove ancient Conflicts and Replaces.

 -- Russ Allbery <rra@debian.org>  Sun, 25 Jul 2010 19:38:21 -0700

debian-policy (3.9.0.0) unstable; urgency=low

  [ Colin Watson ]
  * Fix path to changelog.Debian.gz in footnote on documentation symlinks.

  [ Bill Allombert ]
  * Convert upgrading-checklist to debiandoc-sgml. This generates a better
    looking .txt file.
    Closes: #567845
  * Fix typo in package_upstream-version.orig.tar.gz.
    Thanks, Salvatore Bonaccorso. (Closes: #558430)
  * Replace 'copyright and distribution license' by 'copyright information
    and distribution license' (three times).
    Proposed by Jonathan Nieder.
    Seconded:  Steve Langasek  <vorlon@debian.org>
    Seconded:  Thijs Kinkhorst <thijs@debian.org>
    Seconded:  Julien Cristau  <jcristau@debian.org>

