=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Policy List <debian-policy@lists.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>, Russ Allbery <rra@debian.org>, Colin Watson <cjwatson@debian.org>, Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Build-Depends-Indep: sgml-data (>= 2.0), debiandoc-sgml (>= 1.1.47), texlive, texlive-latex-extra, groff, bsdmainutils, pstoedit, jade, docbook-xml (>= 3.1.1), docbook-dsssl, tidy, links (>= 0.90) | elinks
 Vcs-Browser: http://git.debian.org/?p=dbnpolicy/policy.git
 Vcs-Git: git://git.debian.org/git/dbnpolicy/policy.git
@@ -11,8 +11,6 @@
 Package: debian-policy
 Architecture: all
 Suggests: doc-base
-Conflicts: dpkg-dev (<< 1.4.0.9), doc-base (<< 0.6), packaging-manual
-Replaces: packaging-manual
 Description: Debian Policy Manual and related documents
  This package contains:
     - Debian Policy Manual
