=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 sanitycheck := debian/rules policy.sgml
 
-SGML_FILES := policy menu-policy mime-policy perl-policy
+SGML_FILES := policy menu-policy mime-policy perl-policy upgrading-checklist
 DESC_FILES := debian-policy debian-menu-policy debian-perl-policy \
               debian-mime-policy debconf-spec fhs
 
@@ -53,8 +53,8 @@
 FHS_NEW_FILES    := 
 
 POLICY_FILES = $(SGML_FILES:=.sgml) $(SGML_FILES:=.txt.gz) \
-	       virtual-package-names-list.txt upgrading-checklist.html \
-	       upgrading-checklist.txt libc6-migration.txt version.ent \
+	       virtual-package-names-list.txt \
+	       libc6-migration.txt version.ent \
                debconf_spec/debconf_specification.html \
                debconf_spec/debconf_specification.txt.gz \
                policy.ps.gz policy.pdf.gz README.txt README.html \
@@ -83,8 +83,7 @@
 
 
 all build: stamp-build
-stamp-build: version.ent $(sanitycheck) upgrading-checklist.html \
-              upgrading-checklist.txt README.txt README.html \
+stamp-build: version.ent $(sanitycheck) README.txt README.html \
               Process.txt Process.html
 	$(MAKE) $(SGML_FILES:=.sgml.validate) \
 		$(SGML_FILES:=.html.tar.gz) \
