=== debian/changelog ===
debian-policy (3.9.2.0) unstable; urgency=low

  * Policy: Require human Maintainer or Uploader, clarify Maintainer
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #459868, #581011
  * Policy: Add an FHS exception on GNU/Hurd for /hurd and /servers
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #594658
  * Policy: Document DM-Upload-Allowed
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #588014
  * Policy: Update multiarch FHS exception for i386 naming
    Wording: Steve Langasek <vorlon@debian.org>
    Seconded: Aurelien Jarno <aurelien@aurel32.net>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Closes: #619186
  * Policy: Significant additions to maintainer script documentation
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #504880
  * Policy: Clarify format of Debian control fields
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #501930, #593909
  * Virtual: Added mailx as a new virtual package
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Giacomo A. Catenazzi <cate@debian.org>
    Closes: #488214
  * Be more verbose in defining the build architecture and the host
    architecture and consistently refer to architecture rather than
    machine.  (Closes: #591857)
  * Correct the name of the Filesystem Hierarchy Standard in the package
    description.  Patch from Christoph Anton Mitterer.  (Closes: #590696)
  * Use the word "implemented" to describe required targets in
    debian/rules, which is clearer about allowing wildcard rules.  List
    the required rules in their own paragraph rather than with the
    paragraph discussing non-interactivity, and explicitly mark all rules
    as either required or optional.  (Closes: #536790)
  * Update the ldconfig footnote listing the /etc/ld.so.conf directories
    to remove the libc5 compatibility directories and mention the
    multiarch triplet directories.  Based on a patch by Charles Plessy.
    (Closes: #597074)
  * Add introductory paragraphs for each archive area explaining briefly
    the purpose of that archive area.  Based on a proposal by CJ
    Fearnley.  (Closes: #594542)
  * Change all non-historical references to Debian GNU/Linux to simply
    Debian since Debian now includes FreeBSD-based architectures.  Patch
    from Guillem Jover.  (Closes: #594656)
  * Remove references to the obsolete debmake package.
  * Update the list of Policy maintainers.
  * Wrap Uploaders in debian/control.
  * Move Build-Depends-Indep to Build-Depends (there's no reason to use
    -Indep in a package that builds only architecture-independent binary
    packages), wrap it, and remove version restrictions that are older
    than the version in oldstable.
  * Add emacs23 to the build dependencies and remove the files generated
    from org source from the revision control repository.  Build and clean
    files from org source unconditionally.  Add Process.{txt,html} to the
    list of files generated from org source.  (Closes: #594274)
  * Fix URLs under www.freedesktop.org to avoid permanent redirects.
    Thanks, David Prévot.  (Closes: #606869)
  * Add a cross-reference to the Pre-Depends requirement in 3.5 to section
    7.2 where Pre-Depends is defined.  Thanks, Mattias Ellert and Jonathan
    Nieder.  (Closes: #599944)
  * Include the new (optional) copyright format that was drafted as DEP-5.
    This is not yet a final version; that's expected to come in the
    3.9.3.0 release.  Thanks to all the DEP-5 contributors and to Lars
    Wirzenius and Charles Plessy for the integration into the Policy
    package.  (Closes: #609160)

 -- Russ Allbery <rra@debian.org>  Wed, 06 Apr 2011 22:48:55 -0700
