=== debian/control ===
Source: debian-policy
Section: doc
Priority: optional
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Uploaders: Manoj Srivastava <srivasta@debian.org>,
 Russ Allbery <rra@debian.org>,
 Colin Watson <cjwatson@debian.org>,
 Bill Allombert <ballombe@debian.org>
Standards-Version: 3.9.2
Build-Depends: bsdmainutils, debiandoc-sgml (>= 1.1.47), docbook-dsssl,
 docbook-xml, emacs23, groff, jade, links | elinks, pstoedit, sgml-data,
 texlive, texlive-latex-extra, tidy
Vcs-Browser: http://git.debian.org/?p=dbnpolicy/policy.git
Vcs-Git: git://git.debian.org/git/dbnpolicy/policy.git

Package: debian-policy
Architecture: all
Suggests: doc-base
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Filesystem Hierarchy Standard (FHS)
    - Authoritative list of virtual package names
    - Paper about libc6 migration
    - Policy checklist for upgrading your packages
 It also replaces the old Packaging Manual; most of the still-relevant
 content is now included as appendices to the Policy Manual.
