=== debian/rules ===
--- 
+++ 
@@ -21,14 +21,8 @@
 date	:= $(shell date +"%Y-%m-%d")
 version := $(shell awk -F '[()]' '/^$(package)/{ print $$2; exit }' debian/changelog)
 
-# either /usr/bin/emacs-snampshot or /usr/bin/emacs23
-EMACS:=$(shell if [ -x /usr/bin/emacs-snapshot ]; then \
-                 echo /usr/bin/emacs-snapshot;         \
-               elif [ -x /usr/bin/emacs23 ]; then      \
-                 echo /usr/bin/emacs23;                \
-               fi)
-HAVE_ORG_EMACS:=$(strip $(EMACS))
-
+# Currently, emacs23 is required (xemacs is not sufficient).
+EMACS   := emacs23
 
 # Location of the source dir
 SRCTOP	  := $(CURDIR)
@@ -39,7 +33,7 @@
 sanitycheck := debian/rules policy.sgml
 
 SGML_FILES := policy menu-policy mime-policy perl-policy upgrading-checklist
-DESC_FILES := debian-policy debian-menu-policy debian-perl-policy \
+DESC_FILES := copyright-format debian-policy debian-menu-policy debian-perl-policy \
               debian-mime-policy debconf-spec fhs
 
 # While we have two versions of the FHS installed in the source package,
@@ -55,13 +49,18 @@
 POLICY_FILES = $(SGML_FILES:=.sgml) $(SGML_FILES:=.txt.gz) \
 	       virtual-package-names-list.txt \
 	       libc6-migration.txt version.ent \
+               copyright-format/copyright-format.html \
+               copyright-format/copyright-format.txt.gz \
                debconf_spec/debconf_specification.html \
                debconf_spec/debconf_specification.txt.gz \
                policy.ps.gz policy.pdf.gz README.txt README.html \
                Process.txt Process.html
 
+FILES_FROM_ORG := Process.html Process.txt README.txt README.html
+
 # policy.{pdf,ps,tpt,txt} are generated files
-FILES_TO_CLEAN  = debian/files debian/buildinfo  debian/substvars \
+FILES_TO_CLEAN  = copyright-format.xml.tar.gz \
+                  debian/files debian/buildinfo  debian/substvars \
 		  debian/postinst debian/prerm \
 		  version.ent \
 		  $(SGML_FILES:=.txt.gz) $(SGML_FILES:=.html.tar.gz) \
@@ -69,9 +68,8 @@
 		  policy.pdf.gz policy.ps.gz \
 		  debconf_specification.xml.tar.gz \
 		  policy.pdf policy.ps policy.txt policy. \
-		  body.tmp head.tmp policy.tpt
-
-FILES_FROM_ORG := README.txt README.html
+		  body.tmp head.tmp policy.tpt \
+		  $(FILES_FROM_ORG)
 
 STAMPS_TO_CLEAN := stamp-policy stamp-build
 DIRS_TO_CLEAN   := debian/tmp fhs $(SGML_FILES:=.html)
@@ -83,16 +81,14 @@
 
 
 all build: stamp-build
-stamp-build: version.ent $(sanitycheck) README.txt README.html \
-              Process.txt Process.html
+stamp-build: version.ent $(sanitycheck)
 	$(MAKE) $(SGML_FILES:=.sgml.validate) \
 		$(SGML_FILES:=.html.tar.gz) \
                 $(SGML_FILES:=-1.html) \
 		$(SGML_FILES:=.txt.gz) \
 		policy.ps.gz policy.pdf.gz
-ifneq (,$(strip $(HAVE_ORG_EMACS)))
 	$(MAKE) $(FILES_FROM_ORG)
-endif
+	$(MAKE) -C copyright-format all
 	$(MAKE) -C debconf_spec all
 	touch stamp-build
 
@@ -104,6 +100,7 @@
 
 clean: $(sanitycheck)
 # Undoes the effect of `make -f debian/rules build'.
+	$(MAKE) -C copyright-format clean
 	$(MAKE) -C debconf_spec clean
 	rm -f  $(FILES_TO_CLEAN) $(STAMPS_TO_CLEAN)
 	rm -rf $(DIRS_TO_CLEAN)
@@ -144,6 +141,10 @@
 	#$(install_file)    $(FHS_NEW_FILES)	     $(DOCDIR)/fhs/
 	$(install_file)	    $(FHS_FILES)	     $(DOCDIR)/fhs/
 	$(install_file)	    debian/copyright	     $(DOCDIR)/
+	GZIP=-9 cd copyright-format && \
+	  tar -zcf ../copyright-format.xml.tar.gz *
+	$(install_file)	    copyright-format.xml.tar.gz $(DOCDIR)/
+	@set -ex; \
 	GZIP=-9 cd debconf_spec && \
 	  tar -zcf ../debconf_specification.xml.tar.gz *
 	$(install_file)	    debconf_specification.xml.tar.gz $(DOCDIR)/
