## debian-policy 3.9.3.1

=== debian/changelog ===
debian-policy (3.9.3.1) unstable; urgency=low

  * Fix cross-reference to control field syntax in Policy 5.4 (source
    package control files).  Thanks, Jakub Wilk.  (Closes: #661412)
  * Additional wording improvements to copyright-format 1.0 for clarity.
    Also mention that the Files pattern syntax is the same as fnmatch(3)
    and GNU find -path without [] patterns.  Thanks, Jonathan Nieder and
    Ben Finney.
  * Suggest checkbashisms from devscripts or the posh shell for checking
    whether /bin/sh scripts are Policy-compliant rather than recommending
    dash.  Thanks, Raphael Geissert.  (Closes: #490604)
  * Remove the ambiguous word "installed" when requiring that the location
    of files and directories follow the FHS.  (Closes: #638060)
  * Clarify the syntax of field names to make it clear that they may not
    contain spaces.  Thanks, Charles Plessy.  (Closes: #647645)
  * Clarify that only one of build-arch or build-indep may be provided
    (currently, at least) and that build should depend on whichever exist
    or perform the equivalent actions.  Thanks to Jonathan Nieder for some
    of the wording.  (Closes: #601839)
  * Clearly state that "yes" is the only valid value of DM-Upload-Allowed
    and rewrite its description to be less indirect.  (Closes: #622263)
  * Update the dpkg-buildpackage -r documentation in the appendix to
    reflect the current behavior of using fakeroot.  Wording from Sam
    Morris.  (Closes: #658009)
  * Fix the legal notice in copyright-format to not refer to a nonexistent
    copyright notice.
  * Embed the Debian Policy version and build date in the debconf
    specification and the copyright-format document.  We'll make
    non-normative changes without updating other version numbers, and it's
    good to know which version one is looking at.
  * Fix some whitespace issues in the debconf specification articleinfo.
  * Install the HTML version of upgrading-checklist in the policy.html
    directory as upgrading-checklist.html so that it can be deployed on
    www.debian.org in a way that will allow links to Policy sections to
    work easily.  Thanks, Charles Plessy.  (Partly addresses #639663)
  * Ship the copyright-format source as copyright-format.xml.tar.gz
    without a version, since it will include all of the versions, not just
    the current version.
  * Fix mistaken word choice (prefix instead of suffix) in the upgrading
    checklist entry for 3.9.3.0.
  * Add some missing entries to the virtual package names list changelog.
  * Expand package long description to include all documents.
  * Remove unused substitution variable generated by the build.  Thanks,
    Charles Plessy.
  * Strip down and reformat debian/rules to remove unused variables,
    references to old files no longer included, use a more standard
    layout and standardize variable names, and add comments for better
    maintainability.
  * Convert debian/copyright to copyright-format 1.0, and in the process
    add the license information for the documents other than Policy itself
    and the FHS.  Note the implication of the GPL source code requirement
    for distributing generated versions of the Policy documents.

 -- Russ Allbery <rra@debian.org>  Sun, 04 Mar 2012 15:02:12 -0800

debian-policy (3.9.3.0) unstable; urgency=low

  [ Russ Allbery ]
  * Update the copyright format document to the version of DEP-5 from the
    DEP web site and apply additional changes from subsequent discussion
    in debian-devel and debian-project.  Revise for clarity, to add more
    examples, and to update the GFDL license versions.  Thanks, Steve
    Langasek, Charles Plessy, Justin B Rye, and Jonathan Nieder.
    (Closes: #658209, #648387)
  * Publish the copyright format specification as copyright-format-1.0 so
    that later versions can be added without removing previous versions of
    the standard.  Patch from Charles Plessy.  (Closes: #646119)
  * Policy: Improve Architecture field in source package
    Wording: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #626779
  * Policy: Initial Debian maintainers need not be listed in copyright
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Closes: #593533
  * Policy: Document cron job file naming restrictions
    Wording: Karl E. Jorgensen <karl@jorgensen.org.uk>
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Dominic Hargreaves <dom@earth.li>
    Seconded: Javier Fernández-Sanguino Peña <jfs@computer.org>
    Closes: #609162
  * Policy: Document issues with conflicting packages sharing a conffile
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #23712
  * Policy: Add /run FHS exception, clarify rules for /run and /var/run
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Steve Langasek <vorlon@debian.org>
    Seconded: Roger Leigh <rleigh@codelibre.net>
    Closes: #620870, #532120
  * Policy: Architecture restrictions in a dependency must be non-empty
    Wording: Stefano Zacchiroli <zack@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Colin Watson <cjwatson@debian.org>
    Closes: #498300
  * MIME Policy: Retire this document and merge it with Policy
    Wording: Ben Finney <ben+debian@benfinney.id.au>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Closes: #89038
  * Consistently use "Debian source control file" for *.dsc files and

