=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Russ Allbery <rra@debian.org>,
  Colin Watson <cjwatson@debian.org>,
  Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: bsdmainutils, debiandoc-sgml (>= 1.1.47), docbook-dsssl,
  docbook-xml, emacs23, groff, jade, links | elinks, pstoedit, sgml-data,
  texlive, texlive-latex-extra, tidy
@@ -20,8 +20,12 @@
  This package contains:
     - Debian Policy Manual
     - Filesystem Hierarchy Standard (FHS)
+    - Debian Menu sub-policy
+    - Debian Perl sub-policy
+    - Debian configuration management specification
+    - Machine-readable debian/copyright specification
     - Authoritative list of virtual package names
+    - Policy checklist for upgrading your packages
     - Paper about libc6 migration
-    - Policy checklist for upgrading your packages
  It also replaces the old Packaging Manual; most of the still-relevant
  content is now included as appendices to the Policy Manual.
