## debian-policy 3.9.4.0

=== debian/changelog ===
debian-policy (3.9.4.0) unstable; urgency=low

  * build-arch and build-indep are now mandatory targets in debian/rules,
    implementing the Technical Committee ruling in #629385.  Wording
    review by Jonathan Nieder, Jakub Wilk, and Roger Leigh.
    (Closes: #374029)
  * Resynchronize the archive section list with ftp-master, adding tasks.
    Patch from Charles Plessy.  (Closes: #670429)
  * Policy: Copyright files must be encoded in UTF-8
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Salvatore Bonaccorso <carnil@debian.org>
    Seconded: Simon McVittie <smcv@debian.org>
    Closes: #661933
  * Policy: Prohibit deprecated < and > relations
    Wording: Jakub Wilk <jwilk@debian.org>
    Seconded: Cyril Brulebois <kibi@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #663918
  * Policy: Document the Built-Using field
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Ansgar Burchardt <ansgar@debian.org>
    Closes: #641153
  * Policy: Document the Vcs-* fields
    Wording: Charles Plessy <plessy@debian.org>
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #654958
  * Policy: Document restrictions on the use of /run for wheezy
    Wording: Roger Leigh <rleigh@debian.org>
    Seconded: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #676561
  * Policy: Rewrite shared library dependency policy to document symbols
    Wording: Russ Allbery <rra@debian.org>
    Wording: Jonathan Nieder <jrnieder@gmail.com>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #571776
  * Policy: Document generic and upstart-specific init system requirements
    Wording: Steve Langasek <steve.langasek@canonical.com>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Adam D. Barratt <adam@adam-barratt.org.uk>
    Closes: #591791
  * Policy: Rely on triggers instead of calling update-mime
    Wording: Charles Plessy <plessy@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #661816

 -- Russ Allbery <rra@debian.org>  Tue, 18 Sep 2012 21:35:36 -0700
