=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Russ Allbery <rra@debian.org>,
  Colin Watson <cjwatson@debian.org>,
  Bill Allombert <ballombe@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: bsdmainutils, debiandoc-sgml (>= 1.1.47), docbook-dsssl,
  docbook-xml, emacs23, groff, jade, links | elinks, pstoedit, sgml-data,
  texlive, texlive-latex-extra, tidy
